# GimpUi.Dialog

    from gi.repository import GimpUi

    dialog = GimpUi.Dialog(help_func=value, help_id=value, parent=value)

Constructors for Gtk.Dialog's and action_areas as well as other dialog-related stuff.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.Window
            - Gtk.Dialog
              - GimpUi.Dialog

## Methods

- GimpUi.Dialog.add_button
- GimpUi.Dialog.get_native_handle
- GimpUi.Dialog.run
- GimpUi.Dialog.set_alternative_button_order_from_array

## Properties

- help-func
- help-id
- parent

## Fields

- GimpUi.Dialog->parent_instance